"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadFileConfig = exports.loadConfig = void 0;
const cosmiconfig_1 = require("cosmiconfig");
const error_1 = require("./error");
const loadConfig = (commandLineConfig) => {
    var _a, _b, _c;
    let fileConfig;
    try {
        fileConfig = exports.loadFileConfig();
    }
    catch (error) {
        console.log('Unable to load file config');
    }
    const isCommitSpecifiedInCommandLineArgument = (commandLineConfig === null || commandLineConfig === void 0 ? void 0 : commandLineConfig.commits) && commandLineConfig.commits.length == 2;
    const isCommitSpecifiedInFile = (fileConfig === null || fileConfig === void 0 ? void 0 : fileConfig.commits) && fileConfig.commits.length == 2;
    if (!isCommitSpecifiedInCommandLineArgument && !isCommitSpecifiedInFile) {
        throw new Error(error_1.ERROR_MESSAGE_COMMITS_NOT_SPECIFIED);
    }
    return {
        showDefaultOutput: (_b = (_a = commandLineConfig === null || commandLineConfig === void 0 ? void 0 : commandLineConfig.showDefaultOutput) !== null && _a !== void 0 ? _a : fileConfig === null || fileConfig === void 0 ? void 0 : fileConfig.showDefaultOutput) !== null && _b !== void 0 ? _b : true,
        commits: (_c = commandLineConfig === null || commandLineConfig === void 0 ? void 0 : commandLineConfig.commits) !== null && _c !== void 0 ? _c : fileConfig === null || fileConfig === void 0 ? void 0 : fileConfig.commits,
        handle: fileConfig === null || fileConfig === void 0 ? void 0 : fileConfig.handle
    };
};
exports.loadConfig = loadConfig;
/**
 * Load `gdiff.config.js` from the path that executes GDiff.
 * @returns config
 */
const loadFileConfig = () => {
    var _a;
    const explorerSync = cosmiconfig_1.cosmiconfigSync('gdiff');
    return (_a = explorerSync.load('gdiff.config.js')) === null || _a === void 0 ? void 0 : _a.config;
};
exports.loadFileConfig = loadFileConfig;
